﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class SiteMap_BreadCrumbMenu : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {


		RadTab currentTab = RadTabStrip1.FindTabByUrl(Request.Url.PathAndQuery);
		if (currentTab != null)
		{
			
			DataBindBreadCrumbSiteMap(currentTab);
			TabHighLightTab(currentTab);
		
		}
		else { }
			
		
	}

	private void TabHighLightTab(RadTab tab)
	{
		tab.Selected = true;
		if (tab.Owner.GetType().FullName == "Telerik.Web.UI.RadTab")
		{
			TabHighLightTab((tab.Owner as RadTab));
		}
	}

	private void DataBindBreadCrumbSiteMap(RadTab currentTab)
	{
		List<RadTab> breadCrumbPath = new List<RadTab>();
		while (currentTab != null)
		{
			breadCrumbPath.Insert(0, currentTab);
			currentTab = currentTab.Owner as RadTab;
		}
		BreadCrumbSiteMap.DataSource = breadCrumbPath;
		BreadCrumbSiteMap.DataBind();
	}


}